Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar.model
Class Proposition

    java.lang.Object
      org.kemet.impl.grammar.model.Proposition

All Implemented Interfaces:
  java.io.Serializable

    public class Proposition

extends java.lang.Object
implements java.io.Serializable

Since:
  0.6
Author:
  fabricemaupin

  BEAN : information about current proposition.

See Also:
  Serialized Form

Constructor Summary
`Proposition()` instantiate the object.

Method Summary
`int` | `getLocationPredicate()` return the location of predicate.
`int` | `getLocationSubject()` return the location of subject.
`boolean` | `isPredicate()` is predicate ?
`boolean` | `isSubject()` is subject ?
`void` | `setLocationPredicate(int locationPredicate)` fix the location of predicate.
`void` | `setLocationSubject(int locationSubject)` fix the location of subject.
`void` | `setPredicate(boolean predicate)` fix if predicate.
`void` | `setSubject(boolean subject)` fix if subject.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Proposition

    public Proposition()

  instantiate the object.

  Since:
    0.6

Method Detail

### isSubject

    public boolean isSubject()

  is subject ?

  Returns:
    true /false
  Since:
    0.6

### setSubject

    public void setSubject(boolean subject)

  fix if subject.

  Parameters:
    `subject` - true /false
  Since:
    0.6

### getLocationSubject

    public int getLocationSubject()

  return the location of subject.

  Returns:
    location of subject
  Since:
    0.6

### setLocationSubject

    public void setLocationSubject(int locationSubject)

  fix the location of subject.

  Parameters:
    `locationSubject` - location of subject
  Since:
    0.6

### isPredicate

    public boolean isPredicate()

  is predicate ?

  Returns:
    true /false
  Since:
    0.6

### setPredicate

    public void setPredicate(boolean predicate)

  fix if predicate.

  Parameters:
    `predicate` - true /false
  Since:
    0.6

### getLocationPredicate

    public int getLocationPredicate()

  return the location of predicate.

  Returns:
    location of predicate
  Since:
    0.6

### setLocationPredicate

    public void setLocationPredicate(int locationPredicate)

  fix the location of predicate.

  Parameters:
    `locationPredicate` - location of predicate
  Since:
    0.6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.